module AR
  module Game

    class Character < PhysicalObject
      def initialize id=nil
        super 
        add_behavior AR::Game::Health
        add_behavior AR::Game::Perception
        add_behavior AR::Game::Strength
        add_behavior AR::Game::Dexterity
        add_behavior AR::Game::MemoryOfObjects
        add_behavior AR::Game::ActorBehavior
        add_behavior AR::Game::InventoryBehavior
        add_behavior AR::Game::Hostilities

        add_behavior AR::Game::AttackBehavior
        add_behavior AR::Game::DefenseBehavior
        self.attack_techniques.push Punch.new
        self.defense_techniques.push DodgeTech.new

      end
    end

  end
end
